<?php
/**
 * The main template file
 * 
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package interior_services
 */

get_header();

$interior_services_column = get_theme_mod( 'interior_services_archive_column_layout', 'column-1' );
?>
<main id="primary" class="site-main">

	<?php

	if ( have_posts() ) :
		?>

		<div class="interior-services-archive-layout grid-layout <?php echo esc_attr( $interior_services_column ); ?>">
			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

			get_template_part( 'template-parts/content', get_post_format() );

			endwhile;
			?>
		</div>
		<?php
		do_action( 'interior_services_posts_pagination' );

	else :

		get_template_part( 'template-parts/content', 'none' );

	endif;
	?>

</main><!-- #main -->

<?php
if ( interior_services_is_sidebar_enabled() ) {
	get_sidebar();
}

get_footer();